%define commit 08ffcf6126a3ae4016e3d81e963a3629e4b75986
%define gitrel  %(c=%{commit}; echo ${c:0:7})
%define date 20230109
%define rel 1

Name:           podman-compose
Version:        1.0.4
Release:        %mkrel -c %{date}git.%{gitrel} %{rel}
Summary:        Run docker-compose.yml using podman
License:        GPLv2
URL:            https://github.com/containers/podman-compose
#Source0:	https://github.com/containers/podman-compose/archive/v%{version}/%{name}-%{version}.tar.gz
Source0:        https://api.github.com/repos/containers/%{name}/tarball/%{gitrel}#/%{name}-%{version}-git.%{date}.%{gitrel}.tar.gz      
Patch0:         env.patch
Group:          System/Configuration

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pyyaml
Requires:       python%{python3_pkgversion}
Requires:       python%{python3_pkgversion}-pyyaml
Requires:       podman
Requires:       podman-plugins

%description
An implementation of docker-compose with podman backend.
The main objective of this project is to be able to run docker-compose.yml
unmodified and rootless.

%prep
%autosetup -p1 -n containers-podman-compose-%{gitrel}

%build
%py3_build
 
%install
%py3_install 

#Drop spurious shebang
sed -i /python3/d %{buildroot}%{python3_sitelib}/podman_compose.py


%files
%doc README.md CONTRIBUTING.md docs/ examples
%license LICENSE
%{_bindir}/podman-compose
%{python3_sitelib}/__pycache__/podman_compose*pyc
%{python3_sitelib}/podman_compose*



%changelog
* Tue Jan 10 2023 joequant <joequant> 1.0.4-0.20230109git.08ffcf6.1.mga9
+ Revision: 1932079
- imported package podman-compose

